Bug 1769841 - Marketplace-operator produces unbounded number of package registry replicasets when CatalogSourceConfig targetNamespace is missing
Summary: Marketplace-operator produces unbounded number of package registry replicaset...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.2.z
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 4.2.z
Assignee: Nick Hale
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On: 1767547
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-11-07 15:20 UTC by Kevin Rizza
Modified: 2019-12-11 22:36 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1767547
Environment:
Last Closed: 2019-12-11 22:36:10 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github operator-framework operator-marketplace pull 269 'None' 'closed' '[release-4.2] Bug 1769841: Don''t create invalid deployment' 2019-12-09 14:54:55 UTC
Red Hat Product Errata RHBA-2019:4093 None None None 2019-12-11 22:36:21 UTC

Comment 4 Fan Jia 2019-11-29 08:18:08 UTC
test env:
cv:4.2.0-0.nightly-2019-11-28-230858


test result:

1.create csc "csctestkey" in ns "kaka"
#kubectl get rs -n openshift-marketplace
NAME                             DESIRED   CURRENT   READY   AGE
certified-operators-78bf6874cb   1         1         1       65m
community-operators-57976f96b5   1         1         1       65m
csctestkey-56b868f887            1         1         1       92s
csctestkey-67f47cfc9c            0         0         0       2m19s
csctestkey-6ccb785d56            0         0         0       2m19s
marketplace-operator-56b786fb4   1         1         1       70m
redhat-operators-56cc9849d8      1         1         1       65m
testkey-6447665bb8               1         1         1       2m39s


2.delete project kaka

3. the rs in marketplace will update and won't increase anymore , the csc status is configuring
1)$ kubectl get rs -n openshift-marketplace  
NAME                              DESIRED   CURRENT   READY   AGE
certified-operators-78bf6874cb   1         1         1       68m
community-operators-57976f96b5   1         1         1       68m
csctestkey-56b868f887            0         0         0       4m29s
csctestkey-67f47cfc9c            0         0         0       5m16s
csctestkey-6ccb785d56            0         0         0       5m16s
csctestkey-7c849f867b            1         1         1       2m41s
marketplace-operator-56b786fb4   1         1         1       73m
redhat-operators-56cc9849d8      1         1         1       68m
testkey-6447665bb8               1         1         1       5m36s

2)$oc get csc
NAME         STATUS        MESSAGE                       AGE
csctestkey   Configuring   namespaces "kaka" not found   7m42s

4.recreate project kaka
The csc will recover and the rs will update again
1)$ kubectl get rs -n openshift-marketplace  
NAME                             DESIRED   CURRENT   READY   AGE
certified-operators-78bf6874cb   1         1         1       71m
community-operators-57976f96b5   1         1         1       71m
csctestkey-56b868f887            0         0         0       7m53s
csctestkey-67f47cfc9c            0         0         0       8m40s
csctestkey-6ccb785d56            0         0         0       8m40s
csctestkey-75764ddc68            1         1         1       30s
csctestkey-7c849f867b            0         0         0       6m5s
marketplace-operator-56b786fb4   1         1         1       76m
redhat-operators-56cc9849d8      1         1         1       71m
testkey-6447665bb8               1         1         1       9m

2)$ oc get csc
NAME         STATUS      MESSAGE                                       AGE
csctestkey   Succeeded   The object has been successfully reconciled   8m38s

Comment 6 errata-xmlrpc 2019-12-11 22:36:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:4093


Note You need to log in before you can comment on or make changes to this bug.